rem @echo off
echo For Java version 1.1, the following variables are expected:
echo    JAVA_HOME  -- location of the jdk
echo    SWING_HOME -- location of swingall.jar 


rem Additional settings for Java 1.1


rem Compile classes
mkdir classes
javac -g -d classes -classpath .\classes;..\..\jaxp.jar;..\..\parser.jar;%JAVA_HOME%\lib\classes.zip;%SWING_HOME%\swingall.jar project\ProjectElement.java
javac -g -d classes -classpath .\classes;..\..\jaxp.jar;..\..\parser.jar;%JAVA_HOME%\lib\classes.zip;%SWING_HOME%\swingall.jar project\TitledElement.java 
javac -g -d classes -classpath .\classes;..\..\jaxp.jar;..\..\parser.jar;%JAVA_HOME%\lib\classes.zip;%SWING_HOME%\swingall.jar project\PlayElement.java
javac -g -d classes -classpath .\classes;..\..\jaxp.jar;..\..\parser.jar;%JAVA_HOME%\lib\classes.zip;%SWING_HOME%\swingall.jar project\SceneElement.java
javac -g -d classes -classpath .\classes;..\..\jaxp.jar;..\..\parser.jar;%JAVA_HOME%\lib\classes.zip;%SWING_HOME%\swingall.jar project\ShowElement.java 
javac -g -d classes -classpath .\classes;..\..\jaxp.jar;..\..\parser.jar;%JAVA_HOME%\lib\classes.zip;%SWING_HOME%\swingall.jar project\GuiDemo.java

rem Make Jar file
cd classes
jar cvf ..\project.jar *
cd ..

echo.
echo Try appletviewer on example1.html and example2.html
echo (over a network connection, so relative URLs work!)
echo ... or try 'run1' and 'run2'
